Subject: Re: bug#40682: frozen installer in WiFi section -guix 1.1.0

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 20 Apr 2020 19:20:15 +0200

Hey,

> I’ve now pushed it as two proper service types: ‘hostapd-service-type’
> and ‘simulated-wifi-service-type’, the latter using parts of the former.
>
> Note that currently the installer tests bypass connectivity checks
> altogether, but perhaps we can still check what comes before, namely
> network selection?

Yes, maybe we can skip only the connectivity check but still try to
connect to some network. I will have a look later this week.

Almost unrelated topic, it would be nice to provide an interface where
users can grab a nightly/periodic build of the installer and test the
latest fixes. We are already have "usb-image" and "iso9660-image" jobs
in Cuirass. So it could be a link allowing to download the latest
successful build or so.

Thanks,

Mathieu